Package com.logicaldoc.core.communication

# Interface EventListener

public interface EventListener
A listener for the event emitted by the collector

Since:
  7.7.1
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`newEvent(History event)`
Called when a new event arrives

## Method Details

### newEvent

void newEvent(History event)
Called when a new event arrives

Parameters:
  `event` - the event to process